apiVersion: forklift.konveyor.io/v1beta1
kind: Plan
metadata:
  annotations:
    populatorLabels: "True"
  creationTimestamp: "2026-01-20T10:15:25Z"
  generation: 1
  name: plan-win2022
  namespace: mtv-test
  resourceVersion: "1539956"
  uid: 0578843f-a3c0-403a-9543-5e4fcb6562f2
spec:
  map:
    network:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: NetworkMap
      name: plan-win2022-network-map
      namespace: mtv-test
    storage:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: StorageMap
      name: plan-win2022-storage-map
      namespace: mtv-test
  migrateSharedDisks: true
  preserveStaticIPs: true
  provider:
    destination:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: host-remote
      namespace: mtv-test
    source:
      apiVersion: forklift.konveyor.io/v1beta1
      kind: Provider
      name: vmware-8
      namespace: mtv-test
  pvcNameTemplateUseGenerateName: true
  runPreflightInspection: true
  skipGuestConversion: false
  targetNamespace: mtv-test
  useCompatibilityMode: true
  vms:
  - id: vm-1032
    luks: {}
    name: Ameen-win2022
status:
  conditions:
  - category: Required
    lastTransitionTime: "2026-01-20T10:15:32Z"
    message: The migration plan is ready.
    status: "True"
    type: Ready
  - category: Advisory
    durable: true
    lastTransitionTime: "2026-01-20T10:33:08Z"
    message: The plan execution has SUCCEEDED.
    status: "True"
    type: Succeeded
  migration:
    completed: "2026-01-20T10:33:08Z"
    history:
    - conditions:
      - category: Advisory
        durable: true
        lastTransitionTime: "2026-01-20T10:33:08Z"
        message: The plan execution has SUCCEEDED.
        status: "True"
        type: Succeeded
      map:
        network:
          generation: 1
          name: plan-win2022-network-map
          namespace: mtv-test
          uid: 7a3f1d08-eae0-4a27-9204-897f2a3d1a49
        storage:
          generation: 1
          name: plan-win2022-storage-map
          namespace: mtv-test
          uid: 3970226f-8f61-4b4e-8704-b65d7d699389
      migration:
        generation: 1
        name: plan-win2022-bbzts
        namespace: mtv-test
        uid: 8da4842f-3ed5-465d-bc6c-3a558602b185
      plan:
        generation: 1
        name: plan-win2022
        namespace: mtv-test
        uid: 0578843f-a3c0-403a-9543-5e4fcb6562f2
      provider:
        destination:
          generation: 1
          name: host-remote
          namespace: mtv-test
          uid: 5e3da408-853e-4544-930b-f3f91f6cdb0e
        source:
          generation: 1
          name: vmware-8
          namespace: mtv-test
          uid: 598bcce4-2cd1-48a9-be11-ca510d19efe9
    started: "2026-01-20T10:15:40Z"
    vms:
    - completed: "2026-01-20T10:33:08Z"
      conditions:
      - category: Advisory
        durable: true
        lastTransitionTime: "2026-01-20T10:33:08Z"
        message: The VM migration has SUCCEEDED.
        status: "True"
        type: Succeeded
      id: vm-1032
      luks: {}
      name: Ameen-win2022
      newName: ameen-win2022
      phase: Completed
      pipeline:
      - completed: "2026-01-20T10:15:48Z"
        description: Initialize migration.
        name: Initialize
        phase: Completed
        progress:
          completed: 0
          total: 1
        started: "2026-01-20T10:15:40Z"
      - annotations:
          unit: MB
        completed: "2026-01-20T10:25:59Z"
        description: Transfer disks.
        name: DiskTransfer
        phase: Completed
        progress:
          completed: 25600
          total: 25600
        started: "2026-01-20T10:15:48Z"
        tasks:
        - annotations:
            unit: MB
          completed: "2026-01-20T10:25:59Z"
          name: '[mtv-nfs-us-v8] Ameen-win2022/Ameen-win2022.vmdk'
          phase: Completed
          progress:
            completed: 16384
            total: 16384
          reason: Transfer completed.
          started: "2026-01-20T10:15:58Z"
        - annotations:
            unit: MB
          completed: "2026-01-20T10:18:15Z"
          name: '[mtv-nfs-us-v8] Ameen-win2022/Ameen-win2022_1.vmdk'
          phase: Completed
          progress:
            completed: 2048
            total: 2048
          reason: Transfer completed.
          started: "2026-01-20T10:15:58Z"
        - annotations:
            unit: MB
          completed: "2026-01-20T10:20:31Z"
          name: '[mtv-nfs-us-v8] Ameen-win2022/Ameen-win2022_2.vmdk'
          phase: Completed
          progress:
            completed: 3072
            total: 3072
          reason: Transfer completed.
          started: "2026-01-20T10:15:58Z"
        - annotations:
            unit: MB
          completed: "2026-01-20T10:21:01Z"
          name: '[mtv-nfs-us-v8] Ameen-win2022/Ameen-win2022_3.vmdk'
          phase: Completed
          progress:
            completed: 4096
            total: 4096
          reason: Transfer completed.
          started: "2026-01-20T10:15:58Z"
      - completed: "2026-01-20T10:33:03Z"
        description: Convert image to kubevirt.
        name: ImageConversion
        phase: Completed
        progress:
          completed: 1
          total: 1
        started: "2026-01-20T10:25:59Z"
      - annotations:
          unit: MB
        completed: "2026-01-20T10:33:06Z"
        description: Copy disks.
        name: DiskTransferV2v
        phase: Completed
        progress:
          completed: 25600
          total: 25600
        started: "2026-01-20T10:33:03Z"
        tasks:
        - annotations:
            unit: MB
          name: '[mtv-nfs-us-v8] Ameen-win2022/Ameen-win2022.vmdk'
          progress:
            completed: 16384
            total: 16384
        - annotations:
            unit: MB
          name: '[mtv-nfs-us-v8] Ameen-win2022/Ameen-win2022_1.vmdk'
          progress:
            completed: 2048
            total: 2048
        - annotations:
            unit: MB
          name: '[mtv-nfs-us-v8] Ameen-win2022/Ameen-win2022_2.vmdk'
          progress:
            completed: 3072
            total: 3072
        - annotations:
            unit: MB
          name: '[mtv-nfs-us-v8] Ameen-win2022/Ameen-win2022_3.vmdk'
          progress:
            completed: 4096
            total: 4096
      - completed: "2026-01-20T10:33:08Z"
        description: Create VM.
        name: VirtualMachineCreation
        phase: Completed
        progress:
          completed: 0
          total: 1
        started: "2026-01-20T10:33:06Z"
      restorePowerState: "Off"
      started: "2026-01-20T10:15:40Z"
  observedGeneration: 1
